ZZIP_FCLOSE(3)

NAME
zzip_fclose, zzip_close - end usage.

SYNOPSIS

#include <zzip/lib.h>

int zzip_fclose((ZZIP_FILE * fp));

int zzip_close((ZZIP_FILE * fp));

DESCRIPTION

The zzip_fclose function closes the given ZZIP_FILE handle.

If the ZZIP_FILE wraps a normal stat'fd then it is just that int'fd that is being closed and the otherwise empty ZZIP_FILE gets freed.

AUTHOR

    • Guido Draheim <guidod@gmx.de> Tomi Ollila <Tomi.Ollila@iki.fi>

COPYRIGHT

Copyright (c) Guido Draheim, use under copyleft (LGPL,MPL)